Don't have Telegram yet? Try it now!
https://just.me/2003/01/29/apache-2-and-php-43-and-perl-58/
Apache 2 and PHP 4.3 and Perl 5.8